org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectLimitOffset

All Known Subinterfaces:
  SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndJoinCondition, SelectBuilder.SelectFromAndOrderBy

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectLimitOffset

Limit/offset methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectLimitOffset` `limit(long limit)` Apply a limit of rows to read.
`SelectBuilder.SelectLimitOffset` `limitOffset(long limit, long offset)` Apply `limit` and `offset` parameters to the select statement.
`SelectBuilder.SelectLimitOffset` `offset(long offset)` Apply an offset where to start reading rows.

### Method Detail

#### limitOffset

    SelectBuilder.SelectLimitOffset limitOffset(long limit,
                                                long offset)

Apply `limit` and `offset` parameters to the select statement. To read the first 20 rows from start use `limitOffset(20, 0)`. to read the next 20 use `limitOffset(20, 20)`.

Parameters:
  `limit` - rows to read.
  `offset` - row offset, zero-based.
Returns:
  `this` builder.

#### limit

    SelectBuilder.SelectLimitOffset limit(long limit)

Apply a limit of rows to read.

Parameters:
  `limit` - rows to read.
Returns:
  `this` builder.

#### offset

    SelectBuilder.SelectLimitOffset offset(long offset)

Apply an offset where to start reading rows.

Parameters:
  `offset` - start offset.
Returns:
  `this` builder.